package com.cool.store.mapper;

import com.cool.store.entity.HyIntendDevZoneInfoDO;
import com.github.pagehelper.PageInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author zhangchenbiao
 * @date 2023-05-29 03:50
 */
public interface HyIntendDevZoneInfoMapper {
    /**
     *
     * 默认插入方法，只会给有值的字段赋值
     * 会对传进来的字段做判空处理，如果字段为空，则使用数据库默认字段或者null
     * dateTime:2023-05-29 03:50
     */
    int insertSelective(@Param("record") HyIntendDevZoneInfoDO record);

    /**
     *
     * 默认更新方法，根据主键更新，不会把null值更新到数据库，避免覆盖之前有值的
     * dateTime:2023-05-29 03:50
     */
    int updateByPrimaryKeySelective(@Param("record") HyIntendDevZoneInfoDO record);

    /**
     * 根据ID查询
     * @param id
     * @return
     */
    HyIntendDevZoneInfoDO selectById(@Param("id") Long id);


    List<HyIntendDevZoneInfoDO> selectByIds(@Param("ids") List<Long> ids);

    /**
     * 查询战区列表
     * @param type
     * @return
     */
    List<HyIntendDevZoneInfoDO> getHyIntendDevZoneInfoList(String type);

    /**
     * 根据组织架构获取配置信息
     * @param regionIds
     * @return
     */
    List<HyIntendDevZoneInfoDO> getZoneInfoByRegionIds(@Param("regionIds") List<String> regionIds);
}